library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity licznik_jm is
    Port ( clk : in std_logic;
           clk_o : out std_logic;
           res : in std_logic;
           outp : inout std_logic_vector(9 downto 0)
			);
end licznik_jm;

architecture beh of licznik_jm is
signal din: std_logic;
begin
	process (clk, res)
	begin
		if res = '1' then
		outp <= "0000000001";
		elsif clk'event and clk = '1' then
		outp <= outp(8 downto 0) & outp(9);
		end if;
	end process;
clk_o <= not outp(9);
end beh;
