library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity presk is port ( 
	szybko, wolno, wy_1_min, wy_1Hz, wy_4Hz : out std_logic;
	res, clk: in std_logic 
	);
end presk;

architecture beh of presk is
signal q: std_logic_vector(20 downto 0);
begin
	process (clk, res)
		begin
		if res = '1' then
			q <= "000000000000000000000";
		elsif clk'event and clk = '1' then
			q <= q+1;
			if q = "111100000000000000001" then 
				q <= "000000000000000000000";
			end if;
		end if;
	end process;
wy_1_min <= q(20);
szybko <= q(11);
wolno <= q(15);
wy_1Hz <= q(14);
wy_4Hz <= q(12);
end beh;
